

  <?php
	include_once("../header.php");
        include_once("../php/config.php");
        $sql = mysql_query("select * from ingresos where fecha='$hoy' and cliente like '%".$_GET['filtro']."%'") or die(mysql_error());

	?>
<style>
  .form-control{
    font-size: 20px;
  }


b{
    font-size: 18px;
  }

  th{
    font-size:18px;
    text-align: left;
  }

    td{
    font-size:18px;
  }
</style>
    <div class="container">


        
		<div class="row">
			<div class="col-md-12">
			 
    <div class="row">
      <div class="col-md-4  mt-2 mb-2">    
            <a class="btn btn-info" href="#modalIngreso" data-toggle="modal"><i class="fa fa-plus fa-lg"></i> Registrar un ingreso</a>
             
            <a class="btn btn-default" href="egresos.php"><i class="fa fa-undo fa-lg"></i> Egresos de caja</a>
        </div>  
        <div class="col-md-3   mt-2 mb-2"> 
           <input type="search" id="txt_buscar" placeholder="Filtrar registros..." class="form-control" value="<?php echo $_GET['filtro']?>">
       </div>   

        <div class="col-md-3   mt-2 mb-2"> 
            
                  <a class="btn btn-default" href="#" onClick="filtrar()"><i class="fa fa-search"></i><span style="font-weight:bolder;"> Filtrar</span></a>

            <a class="btn btn-default mb-2  ml-2" href="../menu/menu.php"><i class="fa fa-home fa-lg"></i> Salir</a>
       </div>
     
</div>

   <script>
   function filtrar(){
    var t = $("#txt_buscar").val();
    window.location.href="ingresos.php?filtro="+t;
   }
 </script>
				<div class="table-responsive border p-3">
					<table class="table table-hover" data-page-length='8'>
						
							<th>No. Ingreso</th>
							<th>Fecha</th>
              <th>Cliente</th>
             
              <th>Monto</th>
              <th>usuario</th>
              <th>Editar</th>
				
						<tbody>
            <?php while($r=mysql_fetch_array($sql)){
              $id = $r["id"];
              $c++;
              $total+=$r["monto"];
              ///$balance+=$r["balance"];
              ///$costo+=$r["costo"];
              ///$ganancia+=$r["total"] - $costo;
              ?>
							<tr>
								<td><?php echo $r["id"]?></td>
                <td><span class="text-primary"><?php echo fecha($r["fecha"])?></span></td>
								<td><?php echo $r["cliente"]?></td>
                 <td><?php echo decimal($r["monto"])?></td>
                <td><?php echo $r["usuario"]?></td>
               
             
               <td><a class="" href="javascript:void(0)" onClick="reimprimir('<?php echo $id?>')" ><i class="fa fa-print"></i></a>
               <a class="" href="javascript:void(0)" onClick="ver('<?php echo $id?>')" ><i class="fa fa-edit"></i></a>
               </td>
							</tr>
                                                        <?php }?>
						</tbody>
            <tfoot>
              <br>
              <th>
                Cant. ingreso: <?php echo $c?>
              </th>
              <th class="text-success">
                Total: <?php echo decimal($total)?>
              </th>

              <th>
                
              </th>

              <th class="text-success">
               
              </th>
            </tfoot>
					</table>
				</div>
			</div>
		</div>
		
        </div>
      </div>
      


          
</div>
    </div>


<!---Modal ingreso-->
<div class="modal" id="modalIngreso" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-md" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h2 class="modal-title text-success" id="exampleModalLabel"><i class="fa  fa-calendar"></i> Registro de ingreso</h2>
            <button class="close" type="button" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">


		  <form name="frm" action="" method="POST" id="frm">
			 

			  
			   <div class="row">
          <label for="id" class="col-sm-3 col-form-label" >Id</label>
          <div class="col-sm-2">
            <input autocomplete="off" type="text"  disabled class="form-control mb-2 font-weight-bolde" id="id" name="id" value="">
          </div>
        </div>

         <div class="row">
          <label for="codigo" class="col-sm-3 col-form-label" >Monto</label>
          <div class="col-sm-3">
            <input autocomplete="off" type="number"  class="form-control mb-2" id="monto" name="monto" value="">
          </div>
        </div>
        
        <div class="row">
         <div class="col-md-3">
       
            <b>Cliente</b>
          </div>

          <div class="col-md-9">
           <input autocomplete="off" type="text"  class="form-control mb-2" id="clientes" name="clientes" value="">
          </div>
        </div>


        <div class="row">
          <label for="codigo" class="col-sm-3 col-form-label" >Concepto</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="text"  class="form-control mb-2" id="concepto" name="concepto" value="">
          </div>
        </div>

         

			  
			  
		  </form>
		  
		  </div>
          <div class="modal-footer">
            <button class="btn btn-success" type="button" onclick="sec_grabar_ingreso()"><i class="fa fa-w fa-save"></i> Grabar</button>


            <a class="btn btn-warning" data-dismiss="modal"> <i class="fa fa-w fa-home"></i> Salir</a>
          </div>
        </div>
      </div>


	<!---Modal Cliente-->
	<div class="modal" id="modalBusqueda" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-md" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h2 class="modal-title text-success" id="exampleModalLabel"><i class="fa  fa-calendar"></i> Busqueda por fecha</h2>
            <button class="close" type="button" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">


		  <form name="frm" action="" method="POST" id="frm">
			 

			  
			   <div class="row">
          <label for="id" class="col-sm-3 col-form-label" >Desde</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="date"  class="form-control mb-2 font-weight-bolde" id="fecha1" name="nombre" value="">
          </div>
        </div>

         <div class="row">
          <label for="codigo" class="col-sm-3 col-form-label" >Hasta</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="date"  class="form-control mb-2" id="fecha2" name="fecha2" value="">
          </div>
        </div>

         

			  
			  
		  </form>
		  
		  </div>
          <div class="modal-footer">
            <button class="btn btn-success" type="button" onclick="buscar()"><i class="fa fa-w fa-save"></i> Grabar</button>


            <a class="btn btn-warning" data-dismiss="modal"> <i class="fa fa-w fa-home"></i> Salir</a>
          </div>
        </div>
      </div>
    </div>

        <?php
        include_once("../footer.php");

        function state($est) {

            if ($est == "1") {
                $b = "<span class='badge badge-success'>Activo</span>";
            } else {

                $b = "<span class='badge badge-danger'>Inactivo</span>";
            }

            return $b;
        }
        ?>
            
<script>
$("#delete").hide();
id_producto="";
function ver(id){
  $("#modalIngreso").modal("show")
    $("#delete").show();
    dstry();
      $("#frm").trigger('reset');
      setTimeout(function(){
        $("#nombre").focus();
        $("#nombre").select();
    },1000);

            var sql="select * from ingresos where id='"+id+"'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);
       
                for( var i in rs.data){
                    ///id_producto= rs.data[i].id_producto;             
                    
                    $("#monto").val(rs.data[i].monto);
                    
                    $("#id").val(rs.data[i].id);
                    $("#concepto").val(rs.data[i].concepto);
                   
                    
                    $("#clientes").val(rs.data[i].cliente);
                }
                
            })
        }
 function sec_grabar_ingreso(){
    var sql = "select * from apertura_caja where caja='" + myCaja + "' order by id desc limit 1";
    _enviar("../php/traer_datos.php", {sql: sql})
      .done(function(data) {
        if(data==""){alert("Esta caja no esta configurada como punto de ventas o no existe una instancia de la misma"); return;}
        var rs = JSON.parse(data);
        estadoCaja = rs.data[0].estado;
        secuencia = rs.data[0].id+"-"+myCaja;
        grabar();

      })
  }
  function grabar(){
	  	var estado_caja = localStorage.getItem("estado_caja");
			if(estado_caja=="cerrada"){
		     ////document.write("Esta terminar estacerrada...");
		     ////window.location.href='../pos/turnos_caja.php';
			 alert("Esta caja esta cerrada");
			 return;

	}
     if(!confirm("Seguro(a) que desea registrar este ingreso?")){return;}                   
    
     var id = $("#id").val();
     var monto = $("#monto").val();
     var cliente = $("#clientes").val();
     var concepto = $("#concepto").val();
 




     if(cliente=="" || monto=="" || concepto==""){alert('Faltan datos'); return}
    var sql="";      
                  
        if(id==""){
            sql="INSERT INTO ingresos set ";
            sql+=" monto='"+monto+"'";
            sql+=", cliente='"+cliente+"'";
            sql+=", concepto='"+concepto+"'";
            sql+=", secuencia='"+secuencia+"'";
            sql+=", usuario='"+myUser+"'";
            sql+=", tipo='Otros'"; 
			sql+=", efectivo='"+monto+"'"; 
            sql+=", fecha=NOW()"; 
            sql+=", hora=NOW()"; 

        }else{
            sql="UPDATE ingresos set";
            sql+=" monto='"+monto+"'";
            sql+=", cliente='"+cliente+"'";
            sql+=", concepto='"+concepto+"'";
            sql+=", secuencia='"+secuencia+"'";
            sql+=", usuario='"+myUser+"'";
            sql+=", tipo='Otros'"; 
            sql+=", fecha=NOW()"; 
            sql+=", hora=NOW()"; 
            sql+=" WHERE id='"+id+"'";
           
            
        }
        
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
       
        noti("success","Registro grabado con exito","Registro grabado");
        $("#delete").hide();
        dstry();
        id_producto="";
         $(".modal").modal('hide');
         imprimir()
        setTimeout(function(){window.location.reload()},2000)

      }else{
          alert(data);
          
      }
       
    })
}
  




 function borrar(){
   var id=$("#id").val()
     if(id_producto==""){msg('Seleccione un registro'); return}
     if(!confirm("Seguro(a) que desea eliminar este registro?")){return;}
    var sql="";                            
    sql="delete from productos where id='"+id+"'";
        
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
        $(".modal").modal('hide');
        noti("success","Registro eliminado con exito","Registro grabado");
        $("#delete").hide();
        dstry();
       // id_producto="";
        setTimeout(function(){window.location.reload()},1000)

      }else{
          msg(data);
          
      }
       // $("#loading").modal('hide');
    })
}

function reimprimir(id){

    window.open('recibo_ingreso.php?id='+id, '_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=800,height=700');

}

function imprimir(){
$.get("ultimo_registro.php?usuario="+myUser+"&funcion=ingresos",function(data,tx)
{
  if(tx=="success"){
    var id_ = data;
    window.open('recibo_ingreso.php?id='+id_, '_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=800,height=700');

  }
})
  
}

$("table").DataTable({
   "language": {
            "url": "//cdn.datatables.net/plug-ins/9dcbecd42ad/i18n/Spanish.json"
        }
});
         
        </script>

